%define _name swh-plugins

Name: ladspa-%_name
Version: 0.4.3
Release: alt1

Summary: A set of audio plugins for LADSPA
License: GPL
Group: Sound
Url: http://plugin.org.uk
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/releases/%version/%_name-%version.tar.gz
Source1: %url/ladspa-swh/docs/ladspa-swh.html

%define ladspa_ver 1.12-alt2

PreReq: ladspa_sdk >= %ladspa_ver

BuildPreReq: libtool_1.4
BuildPreReq: ladspa_sdk >= %ladspa_ver  

# Automatically added by buildreq on Wed Dec 03 2003
BuildRequires: glibc-devel-static ladspa_sdk libexpat libfftw3-devel perl-XML-Parser perl-i18n pkgconfig

%description
A set of Steve Harris' audio plugins for LADSPA (Linux
Audio Developer's Simple Plugin Architecture).

%prep
%setup -n %_name-%version

# use system ladspa.h
%__rm -f ladspa.h
find . -type f -print0|xargs -r0 %__subst 's,"ladspa.h",<ladspa.h>,' --

# fix Makefile
%__subst 's,^[[:blank:]]\#.*$,,' Makefile.am

%build
%add_optflags %optflags_shared
%set_libtool_version 1.4

%__aclocal
%__automake -a -c -f
%__autoconf

%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%__cp gsm/README README.gsm
%__cp %SOURCE1 .

%find_lang %_name

%files -f %_name.lang
%_ladspa_path/*.so
%_ladspa_datadir/rdf/*
%doc AUTHORS README ChangeLog README.gsm TODO ladspa-swh.html

%changelog
* Wed Dec 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.3-alt1
- 0.4.3

* Tue Oct 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt3
- fixed %%build

* Tue Jun 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt2
- rebuild with FFTW3.

* Mon Jun 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt1
- 0.4.2

* Tue Apr 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt1
- 0.4.0

* Sat Mar 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.7-alt1
- 0.3.7

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.4-alt1
- 0.3.4

* Sat Dec 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Thu Dec 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt1
- 0.3.2

* Tue Dec 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1

* Wed Nov 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Tue Sep 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.8-alt1
- 0.2.8 

* Sat May 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.5-alt1
- 0.2.5 

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.3-alt1
- new version
- cleanups

* Sat Jan 5 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.2-alt1
- Updated to 0.2.2

* Fri Nov 23 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- First build for Sisyphus
